UpsertType
curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"traits": {
"isModel": true,
"isSource": true,
"isBiLike": true,
"isTestType": true,
"isIgnoredInLineage": true
}
}
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/types"
payload = { "type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"traits": {
"isModel": True,
"isSource": True,
"isBiLike": True,
"isTestType": True,
"isIgnoredInLineage": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: {
typeId: 500,
name: '<string>',
svgIcon: 'aSDinaTvuI8gbWludGxpZnk=',
workspace: '<string>',
svgIconId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
traits: {
isModel: true,
isSource: true,
isBiLike: true,
isTestType: true,
isIgnoredInLineage: true
}
}
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.custom.v1.TypesService
UpsertType
Create or update an entity. If the entity does not exist, it will be created, otherwise it will be updated. Entities are identified and deduplicated by their Identifier in a scope of a given customer workspace.
POST
/
api
/
entities
/
custom
/
v1
/
types
UpsertType
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Entity to create or update.
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type UpsertTypeResponse · object.
⌘I